package org.avmdti.sound;

import javax.sound.sampled.AudioFormat;

/**
 * 
 * <b>Description :</b>
 * 
 * 
 * <p>Projet : Sound <BR>
 * 
 * <br>
 * <b>JOSAST</b> : Java Open Source Amateur Satellite  Toolbox 
 * <br>The aim of the project is to create a set of tools for amateur satellite purpose. All this tools could be used together to create specific software.
 * <b>JOSAST</b> project is managed by AVMDTI (<A HREF="http://www.avmdti.org">http://www.avmdti.org </a> )
 * <br> This software is an open source software. Please read the <b><i>JOSAST licence</b></i><BR>(<A HREF="http://www.avmdti.org">http://www.avmdti.org </a> )
 * <p>for more information contact <a href="mailto:josast@avmdti.org">josast@avmdti.org</a></p>
 * @author  <a href="mailto:mercier.josast@avmdti.org">mercier</a>
 * @version 1.0
 * <p><b>date </b>9 janv. 2004</p>
 * <p><b><i> Source Update </b></i></p>
 * <br> date : name : comments 
 * <br> V1 : mercier : create file
 * <p>
 * 
 */
public class AudioFormatFactory {
	
	public static final int  MONO8BITPCM = 1;
	
	
	public static AudioFormat getAudioFormat(int id)
	{
		switch (id)
			{
				case MONO8BITPCM : return (new AudioFormat(8000,8,1,true,true));
				
				default: return null;
				
			}
	}
	
	/**
	 *  do nothing, this class can not be created
	 *
	 */
	private  AudioFormatFactory()
	{
	}

}
